> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve All Webhooks

GET all Webhooks registered by the authenticated user.


## OpenAPI

````yaml GET /api/v1/webhooks
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/webhooks:
    get:
      summary: GET webhooks instances
      operationId: get_webhooks_instances
      parameters:
        - description: Page number. Defaults to 1. See Pagination for more details.
          in: query
          name: page
          required: false
          schema:
            default: 1
            format: int32
            type: integer
        - description: >-
            Number of requested paginated records. Defaults to 50. See
            Pagination for more details.
          in: query
          name: per_page
          required: false
          schema:
            default: 50
            format: int32
            type: integer
        - description: >-
            Optional Mongo-style JSON sort clause, e.g., `sort={"created_at":
            true}` to sort by created_at (descending)
          in: query
          name: sort
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
        - description: >-
            Optional Mongo-style JSON filter clause, e.g., `where={"$uri":
            {"$eq": "/api/v1/samples/0ee172af60e84f61"}}`
          in: query
          name: where
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/webhooks'
                type: array
          description: OK
components:
  schemas:
    webhooks:
      properties:
        $uri:
          example: /api/v1/webhooks/0d77065796f8d173
          pattern: ^/api/v1/webhooks/[a-f0-9]{16}$
          readOnly: true
          title: $Uri
          type: string
        api_version:
          title: Api Version
          type: string
        created_at:
          description: >-
            Timestamp for when the object was created on the One Codex platform,
            encoded as a [RFC 3339](https://www.ietf.org/rfc/rfc3339.txt)
            timestamp.
          format: date-time
          title: Created At
          type: string
        enabled:
          title: Enabled
          type: boolean
        event_type:
          title: Event Type
          type: string
        post_url:
          title: Post Url
          type: string
      required:
        - $uri
        - api_version
        - created_at
        - enabled
        - event_type
        - post_url
      title: webhooks
      type: object
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````